
function mudfish_adclean_0c2f6a5b57ae743a4c3a41ff2d646c9e() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`#right-sidebar`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_0c2f6a5b57ae743a4c3a41ff2d646c9e();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_0c2f6a5b57ae743a4c3a41ff2d646c9e();
  });
}
